IPROP-LOG(8)

NAME
iprop-log - examine and maintain the iprop log file

SYNOPSIS
iprop-log [- -version] [-h | - -help] command

iprop-log truncate [-c file - -config-file=file] [-r string - -realm=string] [-K integer - -keep-entries=integer] [-B integer - -max-bytes=integer] [-R - - -reset] [-h | - -help] [log-file]

iprop-log dump [-c file - -config-file=file] [-r string - -realm=string] [-n - - -no-lock] [-R - - -reverse] [-h | - -help] [log-file]

iprop-log replay [- -start-version=version-number] [- -end-version=version-number] [-c file - -config-file=file] [-r string - -realm=string] [-h | - -help] [log-file]

iprop-log last-version [-c file - -config-file=file] [-r string - -realm=string] [-n - - -no-lock] [-h | - -help] [log-files]

iprop-log signal [-c file - -config-file=file] [-r string - -realm=string] [-h | - -help]

DESCRIPTION
Supported options:

- -version

-h, - -help

command can be one of the following:

truncate

    -c file, - -config-file=file
        configuration file

    -r string, - -realm=string
        realm

        -K integer, - -keep-entries=integer

        -B integer, - -max-bytes=integer

        -R, - -reset

    If - -reset is given, then the given, configured, or default log file will be truncated and will start at version 1. This forces full propagations to all slave KDCs.

    Otherwise the log will be truncated but some entries will be preserved, as specified by the - -keep-entries and/or - -max-bytes options. The largest number of - -keep-entries entries that are available and fit in the given - -max-bytes option will be used. The - -keep-entries -option -defaults -to -100, -and -the - -max-bytes option defaults to the log-max-size parameter in the configuration.

dump

    -c file, - -config-file=file
        configuration file

        -r string, - -realm=string realm

        -n string, - -no-lock

        -R string, - -reverse

    Print out all entries in the given, configured, or default log file to standard output. If the -n option is used then don't lock the iprop log file. If the -R option is used, then print the entries in reverse order (this can be useful when the log is very large).

replay

    - -start-version=version-number
        start replay with this version

        - -end-version=version-number end replay with this version

    -c file, - -config-file=file
        configuration file

    -r string, - -realm=string
        realm

    Replay the changes from specified entries (or all if none is specified) in the given, configured, or default transaction log file to the database.

last-version

    -c file, - -config-file=file
        configuration file

    -r string, - -realm=string
        realm

        -n string, - -no-lock

    prints the version of the last record in each of the given log files, or the configured, or the default log file if none is given.

signal

    -c file, - -config-file=file
        configuration file

    -r string, - -realm=string
        realm

    Signals the ipropd-master daemon to send updates to slaves. Normally kadmin does this every time it writes to the database, so this should rarely be needed.

SEE ALSO
iprop(8)